Review an Agent configuration
Reviews selected configuration fields or the complete Agent configuration and returns suggested improvements. This operation does not change or publish the Agent configuration.
OpenAPI
````yaml post /api/v2/agent/autoReviewAgentConfiguration
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/agent/autoReviewAgentConfiguration:
post:
tags:
- Agents
summary: Review an Agent configuration
description: >
Reviews selected configuration fields or the complete Agent
configuration and returns suggested improvements. This operation does
not change or publish the Agent configuration.
operationId: autoReviewPostAutoReviewAgentConfiguration
parameters:
- name: targetAccountId
in: query
required: false
description: Account that owns the Agent configuration.
schema:
type: integer
requestBody:
required: true
content:
application/json:
schema:
type: object
properties:
mode:
type: string
enum:
- fields
- agent
default: fields
description: Review selected fields or the complete Agent configuration.
templateId:
type: string
description: >-
Template used for a field review when agentConfigId is not
provided.
agentConfigId:
type: string
description: Agent configuration to review. Required when mode is agent.
fields:
type: array
description: Configuration fields to review when mode is fields.
items:
type: object
required:
- key
properties:
key:
type: string
description: Configuration field name.
value:
type: string
description: Current field value when reviewing a template.
examples:
fields:
summary: Review selected fields
value:
mode: fields
agentConfigId: campa123
fields:
- key: greeting
agent:
summary: Review the complete Agent configuration
value:
mode: agent
agentConfigId: campa123
responses:
'200':
description: Suggested Agent configuration improvements
content:
application/json:
schema:
oneOf:
- type: array
description: Reviewed fields when mode is fields.
items:
type: object
additionalProperties: true
- type: object
description: Agent-wide suggestions when mode is agent.
additionalProperties: true
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
